Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 613569 - libvirt daemon crashes during failed vm installation
libvirt daemon crashes during failed vm installation
Status: CLOSED INSUFFICIENT_DATA
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-12 06:01 EDT by Tomas Dosek
Modified: 2012-10-15 18:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-15 18:27:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Dosek 2010-07-12 06:01:36 EDT
Description of problem:
Virtual manager during vm installation caused fall of libvirtd when change from hdd to cd-rom boot. In consequence of this vm was removed from a virt-manager machines list a libvirtd crashed.


Version-Release number of selected component (if applicable):
0.8.4-1.fc13

How reproducible:


Steps to Reproduce:
1.create new virtual machine with local/ISO installation
2.give corrupted iso file
3.change boot options from hard drive to cd-rom and mount working iso file
4.reboot vm
  
Actual results:


Expected results:


Additional info:


Output of /var/log/messages:

Jul 12 11:45:49 dhcp-25-189 libvirtd: 11:45:49.559: error : virLibConnError:441 : this function is not supported by the hypervisor: virDomainReboot
Jul 12 11:45:54 dhcp-25-189 kernel: virbr0: port 1(vnet0) entering disabled state
Jul 12 11:45:54 dhcp-25-189 kernel: device vnet0 left promiscuous mode
Jul 12 11:45:54 dhcp-25-189 kernel: virbr0: port 1(vnet0) entering disabled state
Jul 12 11:45:54 dhcp-25-189 libvirtd: 11:45:54.625: error : interfaceListInterfaces:208 : internal error failed to list host interfaces (netcf: unspecified error - errors $
Jul 12 11:45:54 dhcp-25-189 kernel: libvirtd[1608]: segfault at fffffff7 ip 000000302247a81c sp 00007f0fa1427ab8 error 4 in libc-2.12.so[3022400000+175000]
Jul 12 11:45:55 dhcp-25-189 ntpd[1461]: Deleting interface #15 vnet0, fe80::fc39:96ff:fec7:b196#123, interface stats: received=0, sent=0, dropped=0, active_time=29 secs
Comment 1 Cole Robinson 2010-08-21 15:04:53 EDT
Hmm, is this reproducible? Can you provide the output of virt-manager --debug when reproducing the issue?

Reassigning to libvirt, since that's where the crash is.
Comment 2 Cole Robinson 2010-08-21 15:05:55 EDT
Also, what distro and libvirt version are you using?
Comment 3 Tomas Dosek 2010-08-23 01:33:01 EDT
kernel: 2.6.33.5-124.fc13.x86_64
package: virt-manager-0.8.4-1.fc13
OS: Fedora Core 13

The only trouble in this issue is that virt-manager allows user to attach a corrupted iso image as a drive which during the vm's start causes libvirt to fall.
Comment 4 Cole Robinson 2010-08-23 10:12:55 EDT
Please also provide the other requested information: libvirt version (rpm -q libvirt), and the output of virt-manager --debug when reproducing the issue.

Note You need to log in before you can comment on or make changes to this bug.